import 'package:flutter/material.dart';

class Home4 extends StatelessWidget {
  const Home4({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var ScreenSize = MediaQuery.of(context).size;
    return Container(
      width: ScreenSize.width,
      height: ScreenSize.height * 0.98,
      color: Colors.white,
      child: Container(
        padding: EdgeInsets.all(20),
        margin: EdgeInsets.fromLTRB(160, 90, 160, 90),
        width: ScreenSize.width * 0.20,
        height: ScreenSize.height * 0.90,
        decoration: BoxDecoration(
          color: Colors.blue[900],
          borderRadius: BorderRadius.circular(20),
        ),
        child: Container(
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              Container(
                width: ScreenSize.width * 0.36,
                height: ScreenSize.height * 0.69,
                color: Colors.blue[900],
                child: Container(
                  alignment: Alignment.topLeft,
                  padding: EdgeInsets.all(30),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: <Widget>[
                      SizedBox(height: 40,),
                      Row(
                        children: [
                          Text("Mobile & Web Apps",
                            style: TextStyle(
                              color: Colors.white,
                              fontSize: 34
                            ),
                            textAlign: TextAlign.left,
                          ),
                        ],
                      ),
                      SizedBox(height: 30,),
                      Row(
                        children: [
                          Container(
                              height: 100,
                              width: ScreenSize.width *0.30,
                              child: Text(
                                  "MedApps menyediakan Aplikasi Mobile dan juga website yang bisa anda kunjungi",
                                style: TextStyle(
                                  fontSize: 18,
                                  color: Colors.white
                                ),
                              )
                          ),
                        ],
                      ),
                      // SizedBox(height: 10,),
                      Row(
                        children: [
                          Container(
                            height : 50,
                            width : 200,
                            child: ElevatedButton(
                                onPressed: (){},
                              style: ElevatedButton.styleFrom(
                                primary: Colors.blue[900],
                                fixedSize: Size(170, 85),
                                onPrimary: Colors.white,
                                shape: RoundedRectangleBorder(
                                  borderRadius: BorderRadius.all(Radius.circular(30),
                                  )
                                )
                              ),
                                child: Text("LEARN MORE",
                                  style: TextStyle(
                                    fontSize: 18,
                                    letterSpacing: 2
                                  ),
                                ),
                            ),
                          ),
                        ],
                      ),
                    ],
                  ),
                ),
              ),
              SizedBox(width: 40,),
              Container(
                width: ScreenSize.width * 0.33,
                height: ScreenSize.height * 0.69,
                // color: Colors.white,
                decoration: BoxDecoration(
                  color: Colors.white,
                  image: DecorationImage(
                    image: AssetImage('assets/images/medaps3.png')
                  ),
                  borderRadius: BorderRadius.circular(20)
                ),
              )
            ],
          ),
        ),
      ),

    );
  }
}
